API Doc
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
Version
Version
  • v1
  • v2
Languages
Languages
  • English
  • 简体中文
    • Unified API Request Param
    • Unified Async Notification Param
    • Open API Common Code List
    • 1. Account
      • Country Code
      • 1.1 Balance Inquiry
        POST
      • 1.2 Report Download
        POST
    • 2. Philippines
      • 2.1 Payout
        • Payout Channel List
        • 2.1.1 Create Payout
        • 2.1.2 Check Payment Status
        • 2.1.3 Payout Notification
      • 2.2 Payment - dynamic order
        • Philippines Payment Channel List
        • 2.2.1 Create Payment
        • 2.2.2 Check Payment Status
        • 2.2.3 Payment Notification
      • 2.3 Payment - static order
        • Philippines Payment Channel List
        • 2.3.1 Create Payment
        • 2.3.2 Payment Code Detail
        • 2.3.3 Query Static Payment List
        • 2.3.4 Payment Notification
        • 2.3.5 PaymentCode Cancel
    • 3. Indonesia
      • 3.1 Payout
        • Disburse Channel List
        • 3.1.1 Create Payout
        • 3.1.2 Check Payout Status
        • 3.1.3 Payout Notification
      • 3.2 Payment - dynamic order
        • Indonesia Payment Channel List
        • 3.2.1 Create Payment
        • 3.2.2 Check Payment Status
        • 3.2.3 Payment Notification
      • 3.3 Payment - static order
        • Channel List
        • 3.3.1 Create Payment
        • 3.3.2 Payment Code Detail
        • 3.3.3 Query Static Payment List
        • 3.3.4 Payment Notification
    • 4. Malaysia
      • 4.1 Payout
        • Payout Channel List
        • 4.1.1 Create Payout
        • 4.1.2 Check Payout Status
        • 4.1.3 Payout Notification
      • 4.2 Payment
        • Malaysia Payment Channel List
        • 4.2.1 Create Payment
        • 4.2.2 Check Payment Status
        • 4.2.3 Payment Notification
    • 5. Thailand
      • 5.1 Payout
        • Payout Channel List
        • 5.1.1 Create Payout
        • 5.1.2 Check Payout Status
        • 5.1.3 Payout Notification
      • 5.2 Payment - dynamic order
        • Thailand Payment Channel List
        • Wechat Webpage Authorization Reference
        • Wechat Calls Payment Reference
        • 5.2.1 Create Payment
        • 5.2.2 Check Payment Status
        • 5.2.3 Payment Notification
      • 5.3 Payment - static order
        • Channel List
        • 5.3.1 Create Payment
        • 5.3.2 Payment Code Detail
        • 5.3.3 Query Static Payment List
        • 5.3.4 Payment Notification
    • 6. Russia
      • 6.1 Payment
        • Russia Payment Channel List
        • 6.1.1 Create Payment
        • 6.1.2 Check Payment Status
        • 6.1.3 Payment Notification
    • 7. Refund
      • Refund Support Channel List
      • Refund Status Enum
      • 7.1 Refund
        POST
      • 7.2 Get Refund Payments
        POST
      • 7.3 Refund Notification
        POST

    Unified Async Notification Param

    Content#

    paramter namerequiredtypedescription
    signYesstringRSA sign of param
    paramYesstringrequest param content string

    Example#

    {
        "sign": "abcdef",
        "param": "{}"
    }

    Descrption#

    1.
    Platform will construct the request parameters according to the specific interface documents, and format the request parameters into JSON format as the value of param;
    2.
    Platform uses Platform' RSA private key to sign param, and the obtained value is used as the value of sign;
    3.
    When the merchant receives the request from Platform, it uses the RSA public key of Platform to verify and sign param. If the signature is consistent with sign, it proves that the request is requested by Platform;
    4.
    Please ask the Platform administrator for the RSA public key of Platform.

    Appendix RSA using case(in Java)#

    Generate RSA key pair:
    RSA public key should be provided to Platform, and do not disclose to any other.
    RSA private key is kept by merchant, and do not disclose to any other.
    When the merchant calls the Platform Open API, it uses the RSA private key to sign the request param, and the Platform server uses the RSA public key provided by the merchant to verify the signature. If the verification fails, it will refuse to process the request.

    key pair example#

    RSA public key:
    MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAna4Dyz8nGJiAlc9jTGyRa+TtlZXYABTc+Xfb3T4NdDbnUO8vtNLHugwmqARp8kzEzsMRbmvKro4EpaXqANn7SAGo+YI6sVUDmX7ESk3P6j51PtTvWR6dikJN6qwtmV64ojEbxDnIBL3VKuctefL8uPcI7MZBUPBXg9l8CZmnn2cKqWjZ8MuEQr4G45IqmJ0tRsRmW9ofNnvI1MLPt7c/Z/D1E6HKVwjPcMZKMuF0HpIDqdQaPX83dlSzv9FF9jFR8HWfWW8Oz3jz+GtSLSdh2ERcyO56WHpWl1POV4o9jF+4R/oBgcH+0zA1Z2aFfQf/n9miMhacrioStBaHkh1f/QIDAQAB
    RSA private key:
    MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQCdrgPLPycYmICVz2NMbJFr5O2VldgAFNz5d9vdPg10NudQ7y+00se6DCaoBGnyTMTOwxFua8qujgSlpeoA2ftIAaj5gjqxVQOZfsRKTc/qPnU+1O9ZHp2KQk3qrC2ZXriiMRvEOcgEvdUq5y158vy49wjsxkFQ8FeD2XwJmaefZwqpaNnwy4RCvgbjkiqYnS1GxGZb2h82e8jUws+3tz9n8PUTocpXCM9wxkoy4XQekgOp1Bo9fzd2VLO/0UX2MVHwdZ9Zbw7PePP4a1ItJ2HYRFzI7npYelaXU85Xij2MX7hH+gGBwf7TMDVnZoV9B/+f2aIyFpyuKhK0FoeSHV/9AgMBAAECggEAYyqq5iucqgJXdGCO4eSx/LpolZg81ahJZXf1RgqdqYZSKnuTdFTQGflEYo0MGMAhUqwqDVkrimZ1E7zqE4kEWT/6BpnZ0edWsTWhu91+MqL/V/nRYio4CFk06a9JqliBJDhgbyOr4ReGtknYNwcT3Dw5V7hEIeRWFe007lC9tCi7mlpzBNwEIf4itmnncuA70GlxcoMkoGzfYg79eUCfXorbfJcaamR2wXLSU6KoJ422UR3L0rgzmgXzVQw9rrlQ3h6viDykKfaPi/43MN2qb6Zu5isbJIzyz0kHrcE6KJMgJhBDkLIo0f0qE/rEl1Xp/qDwr4+3WBfCHeuTFsud/QKBgQDXmA3f0/ONPMgEGdJlwG20W+7jXHabnRPuUJyDQKbtP+vuaKrpzN+jC1rlxBfAJj2iAVXXXM/RFWWapBd16TqGI4P3RW8eocaxhyl8rWSvCOy/OueNI+fM8gX/IjsJc7VMmCEWHuLvXoM2ixXPWP3v0DEPPPDrCd5dnjR6+5oGgwKBgQC7O03ps4KzMUzEtJcrFFKV0C/m1X905OqQ3cKQnGqRzLp/7d9DQsv+oKzjlpz1xktdJmig7ABiL0+FqJHdcrNiVabI5c6oS2SZkToQFlKv2GYT2KikJ0L43xLfiDvB3tues//9OXuU0WzXZqq7CNAvcmAdPjlFi9RxHsRGABo3fwKBgEi2EJ/XpQGSaUbwyoPktVsp0lS9/4aWIH20lES0DlhfwZuDk3kMzrP3hW2OiBAXFZxI5QGgXLqAg+b2xq7OvR02ZzCDK2niV9fR5Q0Wkaly0h3gqO1yGaCGU71rdwvGCXROroH+Yr0mXAyONgnbUrGJvrIL9JjgmC1syPhdWOIvAoGBAJHJbbNpWX3aB2KrE4IxwtRwVLwyxZnpnVPLuPINOVXpydZPDCc9XcYYqkZUQkeFba1MeO/Ek8/f8tWqGloKM+9/reyENFQK0Hxa/pEEMMJHh8QwUa/v+k/6sqFnXNBqjSuYEN3F4ppQL6XRhWM5S5GGR5y9lK64YGTshfvTnJZVAoGBAJ3TmJcRJWfi7CA985VAnE+IQoQfKKz9NTT7hGBwWTVd7iUc0QCpgHNIixZnfVcjKxz7Hhq6Vy+cEbDBtwbSuDfuVf1spiiqOuYVIjFqq5AsuvpX1CJmm7V+LRtJO/NXmXQP5YfojzET9NqTZvGEVXuzPA0qp8JC7HKrCYykscqE

    RSA sign#

    the value of sign should be:
    Leh6eu60as3iiiWJiimZxZv9SKKBxyGUUoaHW0K3qZp8p4I6eyCTa4KkcZHFwE7lF16oOz5InSwDOGLAix+EMOqT8bZb/w+jzC0xGp9xdgLKEPm6woinauimyBBwvHfEydnFhrOX240XgMwMH5av9VyUIyngYslcn7PhY6zvyaQr1MYEmpkMit5m1o7iWd7sBgeXWixxCXtrKMbrG2TLepZnymk+t+nh+nR4sH66gD+uXPSq0/SzrgbChuDcdr8ybdtLOuXKX4FdM2WnvzmgSncJrU9RyRUzu6EKzCutfsYaNkV8ii70Tkabc4p4HRzaotCJ7kHyuHBPL6k0sncZrg==

    RSA verification#

    the value of result should be true
    Previous
    Unified API Request Param
    Next
    Open API Common Code List
    Built with